## pysmbc 1.0.6

=== Makefile ===
NAME=pysmbc
VERSION=1.0.6

SOURCES=smbcmodule.c smbcmodule.h context.c context.h dir.c dir.h \
	file.c file.h smbcdirent.c smbcdirent.h setup.py

DIST=Makefile test.py COPYING NEWS README TODO ChangeLog

smbc.so: $(SOURCES)
	python setup.py build
	mv build/lib*/$@ .

doc: smbc.so
	rm -rf html
	epydoc -o html --html $<

clean:
	-rm -rf build smbc.so *.pyc *~

dist:
	#svn export . $(NAME)
	mkdir $(NAME)-$(VERSION)
	#cd $(NAME); cp -a $(SOURCES) $(DIST) ../$(NAME)-$(VERSION); cd ..
	cp -a $(SOURCES) $(DIST) $(NAME)-$(VERSION)
	tar jcf $(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)
	rm -rf $(NAME)-$(VERSION) $(NAME)

install:
	ROOT= ; \
	if [ -n "$$DESTDIR" ]; then ROOT="--root $$DESTDIR"; fi; \
	python setup.py install $$ROOT

.PHONY: doc clean dist install

=== debian/changelog ===
pysmbc (1.0.6-1) unstable; urgency=low

  [ Jérôme Guelfucci ]
  * Initial release.

  [ Josselin Mouette ]
  * Upload to unstable. Closes: #569992.
  * Require python-all-dev 2.5.
  * Bump debhelper requirement.
  * Remove debian/pycompat.
  * Add missing ${shlibs:Depends}.
  * Force debhelper to use the python_distutils system.
  * Add NEWS to the upstream files.
  * Add Vcs-* fields.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Feb 2010 20:22:23 +0100

=== debian/control ===
Source: pysmbc
Section: python 
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Josselin Mouette <joss@debian.org>,
           Jérôme Guelfucci <jeromeg@xfce.org>
Build-Depends: debhelper (>= 7.3.7),
               python-support (>= 0.6),
               python-all-dev (>= 2.5),
               libsmbclient-dev (>= 3.2)
Standards-Version: 3.8.3
Homepage: http://cyberelk.net/tim/software/pysmbc/
VCS-Svn: svn://svn.debian.org/python-modules/packages/pysmbc/trunk/
VCS-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pysmbc/trunk/

Package: python-smbc
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for the Samba client library
 This package contains an extension that allows to write Python programs 
 that can talk to SMB/CIFS servers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils

## pysmbc 1.0.15.1

=== debian/changelog ===
pysmbc (1.0.15.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * debian/patches
    - drop adjust-with-samba4.0.patch since now upstream uses pkg-config to
      detect necessary headers
  * debian/rules
    - drop "--buildsystem=python_distutils" and specify --with python2
  * debian/control
    - add newer build-dependency: pkg-config
    - drop obsolete python-support
    - fix description grammer error

 -- Hideki Yamane <henrich@debian.org>  Thu, 31 Jul 2014 07:34:08 +0900

pysmbc (1.0.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #741066)
    - fix "python-smbc: Context.open takes 3 arguments, official docs say 1"
      (Closes:  #635294)
  * debian/watch
    - new upstream location, it's in PyPI now.

 -- Hideki Yamane <henrich@debian.org>  Tue, 22 Apr 2014 23:06:59 +0900

pysmbc (1.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches
    - add adjust-with-samba4.0.patch: Fix "FTBFS: smbcmodule.h:23:26: fatal
      error: libsmbclient.h: No such file or directory" (Closes: #728624)

 -- Hideki Yamane <henrich@debian.org>  Thu, 23 Jan 2014 21:25:41 +0900

=== debian/control ===
Source: pysmbc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Josselin Mouette <joss@debian.org>,
           Jérôme Guelfucci <jeromeg@xfce.org>
Build-Depends: debhelper (>= 9),
               pkg-config,
               python-all-dev (>= 2.5),
               libsmbclient-dev (>= 3.2)
Standards-Version: 3.9.5
Homepage: http://cyberelk.net/tim/software/pysmbc/
VCS-Svn: svn://svn.debian.org/python-modules/packages/pysmbc/trunk/
VCS-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pysmbc/trunk/

Package: python-smbc
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for the Samba client library
 This package contains an extension that allows one to write Python programs 
 that can talk to SMB/CIFS servers.

## pysmbc 1.0.15.3

=== debian/changelog ===
pysmbc (1.0.15.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Tue, 12 Aug 2014 21:48:32 +0900

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pysmbc/pysmbc-(.*).tar.bz2 debian

## pysmbc 1.0.15.5

=== Makefile ===
NAME=pysmbc
VERSION:=$(shell python setup.py --version)
SDIST_ARGS=--formats=bztar -d.

_smbc.so: force
	python setup.py build
	mv build/lib*/_smbc*.so .

doc: _smbc.so
	rm -rf html
	epydoc -o html --html $<

doczip:	doc
	cd html && zip ../smbc-html.zip *

clean:
	-rm -rf build smbc.so *.pyc tests/*.pyc *~ tests/*~ _smbc*.so 

dist:
	python setup.py sdist $(SDIST_ARGS)

upload:
	python setup.py sdist $(SDIST_ARGS) upload -s

install:
	ROOT= ; \
	if [ -n "$$DESTDIR" ]; then ROOT="--root $$DESTDIR"; fi; \
	python setup.py install $$ROOT

.PHONY: doc doczip clean dist install force

=== debian/changelog ===
pysmbc (1.0.15.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream bugfix release.
  * Use https (the recommended protocol) for Vcs-Git field.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Feb 2016 13:18:13 +0300

pysmbc (1.0.15.4-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMUs, thanks Hideki Yamane!

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitry Shachnev ]
  * Switch to pybuild buildsystem.
  * Build python3-smbc package.
  * Drop obsolete debian/pyversions file, use X-Python-Version instead.
  * Bump debhelper compatibility level to 9.
  * Rewrite debian/copyright using 1.0 format.
  * Update Homepage field.
  * Add Tsukasa Hamano's public key to debian/upstream/signing-key.asc
    and tell uscan to check the tarball signatures.
  * Install upstream NEWS file as a changelog.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Sep 2015 13:02:10 +0300

pysmbc (1.0.15.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * debian/watch
    - fix lintian "debian-watch-file-unsupported-pypi-url" error

 -- Hideki Yamane <henrich@debian.org>  Tue, 26 May 2015 20:27:38 +0900

pysmbc (1.0.15.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix debian/watch 
  * debian/control
    - set Standards-Version: 3.9.6

 -- Hideki Yamane <henrich@debian.org>  Sun, 12 Apr 2015 01:46:58 +0900

=== debian/control ===
Source: pysmbc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Josselin Mouette <joss@debian.org>,
           Jérôme Guelfucci <jeromeg@xfce.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               pkg-config,
               python-all-dev (>= 2.5),
               python3-all-dev,
               libsmbclient-dev (>= 3.2)
Standards-Version: 3.9.6
Homepage: http://cyberelk.net/tim/software/pysmbc/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pysmbc.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pysmbc.git
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0

Package: python-smbc
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python 2 bindings for the Samba client library
 This package contains an extension that allows one to write Python 2 programs
 that can talk to SMB/CIFS servers.

Package: python3-smbc
Architecture: any
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for the Samba client library
 This package contains an extension that allows one to write Python 3 programs
 that can talk to SMB/CIFS servers.

=== debian/watch ===
version=3
options=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/pysmbc/pysmbc-(.*)\.tar\.bz2

## pysmbc 1.0.15.6

=== debian/changelog ===
pysmbc (1.0.15.6-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:21:16 +0100

pysmbc (1.0.15.6-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Oct 2019 12:33:25 +0000

pysmbc (1.0.15.6-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 21:36:05 +0200

pysmbc (1.0.15.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream bugfix release.
  * Update the Homepage link to point to GitHub.
  * Replace Tsukasa Hamano’s signing key (the old key was revoked).
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Dec 2016 14:47:04 +0300

=== debian/control ===
Source: pysmbc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Jérôme Guelfucci <jeromeg@xfce.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               pkg-config,
               python3-all-dev,
               libsmbclient-dev (>= 3.2)
Standards-Version: 3.9.8
Homepage: https://github.com/hamano/pysmbc
Vcs-Git: https://salsa.debian.org/python-team/modules/pysmbc.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pysmbc

Package: python3-smbc
Architecture: any
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for the Samba client library
 This package contains an extension that allows one to write Python 3 programs
 that can talk to SMB/CIFS servers.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=smbc

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## pysmbc 1.0.15.6.1

=== debian/changelog ===
pysmbc (1.0.15.6.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 20de05f0a8070bd173f0f7393ceed624f3b0e56c']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:47:51 +0000

=== debian/control ===
Source: pysmbc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Josselin Mouette <joss@debian.org>,
           Jérôme Guelfucci <jeromeg@xfce.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               pkg-config,
               python-all-dev (>= 2.5),
               python3-all-dev,
               libsmbclient-dev (>= 3.2)
Standards-Version: 3.9.8
Homepage: https://github.com/hamano/pysmbc
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pysmbc.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pysmbc.git
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0

Package: python-smbc
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python 2 bindings for the Samba client library
 This package contains an extension that allows one to write Python 2 programs
 that can talk to SMB/CIFS servers.

Package: python3-smbc
Architecture: any
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for the Samba client library
 This package contains an extension that allows one to write Python 3 programs
 that can talk to SMB/CIFS servers.

## pysmbc 1.0.22

=== Makefile ===
PYTHON=python
NAME=pysmbc
VERSION:=$(shell $(PYTHON) setup.py --version)
#SDIST_ARGS=--formats=bztar -d.

_smbc.so: force
	$(PYTHON) setup.py build
	mv build/lib*/_smbc*.so .

doc: _smbc.so
	rm -rf html
	epydoc -o html --html $<

doczip:	doc
	cd html && zip ../smbc-html.zip *

clean:
	-rm -rf build smbc.so *.pyc tests/*.pyc *~ tests/*~ _smbc*.so 

dist:
	$(PYTHON) setup.py sdist $(SDIST_ARGS)

upload:
	$(PYTHON) setup.py sdist $(SDIST_ARGS) upload -s

install:
	ROOT= ; \
	if [ -n "$$DESTDIR" ]; then ROOT="--root $$DESTDIR"; fi; \
	$(PYTHON) setup.py install $$ROOT

.PHONY: doc doczip clean dist install force

=== debian/changelog ===
pysmbc (1.0.22-1) unstable; urgency=medium

  * New upstream version 1.0.22
  * debian/control
    - Remove Josselin Mouette from Uploaders (Closes: #930148)
    - Add Build-Depends: python3-setuptools

 -- Hideki Yamane <henrich@debian.org>  Wed, 03 Jun 2020 21:37:28 +0900

pysmbc (1.0.15.6-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set fields Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Hideki Yamane ]
  * Update debian/watch to version 4
  * debian/control
    - Use debhelper-compat (= 13)
    - Use dh-sequence-python3 and simplify debian/rules
    - Add Rules-Requires-Root: no
    - Set Standards-Version: 4.5.0
  * ADd debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Wed, 03 Jun 2020 21:23:23 +0900

=== debian/control ===
Source: pysmbc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
           Jérôme Guelfucci <jeromeg@xfce.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               pkg-config,
               python3-all-dev,
               libsmbclient-dev (>= 3.2)
Standards-Version: 4.5.0
Homepage: https://github.com/hamano/pysmbc
Vcs-Git: https://salsa.debian.org/python-team/modules/pysmbc.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pysmbc
Rules-Requires-Root: no

Package: python3-smbc
Architecture: any
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for the Samba client library
 This package contains an extension that allows one to write Python 3 programs
 that can talk to SMB/CIFS servers.

## pysmbc 1.0.23

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 PYTHON=python
 NAME=pysmbc
 VERSION:=$(shell $(PYTHON) setup.py --version)
-#SDIST_ARGS=--formats=bztar -d.
 
 _smbc.so: force
 	$(PYTHON) setup.py build

=== debian/changelog ===
pysmbc (1.0.23-2) unstable; urgency=medium

  * debian/control
    - Set Standards-Version: 4.6.0
    - Add Testsuite: autopkgtest-pkg-python

 -- Hideki Yamane <henrich@debian.org>  Sun, 05 Sep 2021 02:38:59 +0900

pysmbc (1.0.23-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Hideki Yamane ]
  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Mon, 02 Nov 2020 19:13:16 +0900

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=smbc

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
options=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## pysmbc 1.0.25.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYTHON=python
+PYTHON=python3
 NAME=pysmbc
 VERSION:=$(shell $(PYTHON) setup.py --version)
 
@@ -20,7 +20,7 @@
 	$(PYTHON) setup.py sdist $(SDIST_ARGS)
 
 upload:
-	$(PYTHON) setup.py sdist $(SDIST_ARGS) upload -s
+	twine upload `ls dist/*.tar.gz | tail -1`
 
 install:
 	ROOT= ; \

=== debian/changelog ===
pysmbc (1.0.25.1-1build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:47:01 +0000

pysmbc (1.0.25.1-1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:50:28 +0000

pysmbc (1.0.25.1-1build3) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:04:09 +0100

pysmbc (1.0.25.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:21:14 +1100

pysmbc (1.0.25.1-1build1) noble; urgency=high

  * No change rebuild against libsmbclient0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 18:18:20 +0100

pysmbc (1.0.25.1-1) unstable; urgency=medium

  * Team Upload
 
  [Alexandre Detiste]
  * New upstream version 1.0.25.1 (Closes: #1055560)

  [Yogeswaran Umasankar]
  * Set dh_auto_test based on smbd availability to fix error
    during build.
  * Revised pytest to python3-pytest + bumped Standards-Version
    to 4.6.2 in d/control.
  * Updated watch file to avoid downloading .asc, upstream missing
    signature.
  * Removed signature file from d/upsteam.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Jan 2024 23:30:00 +0000

=== debian/control ===
Source: pysmbc
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
           Jérôme Guelfucci <jeromeg@xfce.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               pkgconf,
               python3-pytest,
               python3-all-dev,
               libsmbclient-dev (>= 3.2)
Standards-Version: 4.6.2
Homepage: https://github.com/hamano/pysmbc
Vcs-Git: https://salsa.debian.org/python-team/packages/pysmbc.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pysmbc
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-smbc
Architecture: any
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for the Samba client library
 This package contains an extension that allows one to write Python 3 programs
 that can talk to SMB/CIFS servers.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pysmbc/pysmbc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
